All Frameworks  Object Hierarchy  This Framework  Indexes   

TriDimFeatEdge (Object)

1-D boundary belonging to a feature whose topological result is three dimensional.
Role: This Boundary object may be, for example, the edge of a Pad.
You will create a TriDimFeatEdge object using the Shapes.GetBoundary , HybridShapes.GetBoundary , Sketches.GetBoundary or Selection.SelectElement2 method. Then, you pass it to the operator (such as ShapeFactory.AddNewEdgeFilletWithConstantRadius ).
The lifetime of a TriDimFeatEdge object is limited, see Boundary.
Example:
This example asks the end user to select an edge, and creates an edge fillet on this edge:
 Dim InputObjectType(0)
 Set Document = CATIA.ActiveDocument
 Set Selection = Document.Selection
 'We propose to the user that he select an edge
 InputObjectType(0)="TriDimFeatEdge"
 Status=Selection.SelectElement2(InputObjectType,"Select an edge",true)
 if (Status = "cancel") then Exit Sub
 Set EdgeFillet = ShapeFactory.AddNewEdgeFilletWithConstantRadius(Selection.Item(1).Value,1,5.0)
 EdgeFillet.EdgePropagation = 1
 Document.Part.Update 
 


Copyright © 2003, Dassault Systèmes. All rights reserved.